Hacking Does cIOS rev 10 really install as IOS 250?

piratesmack

Well-Known Member
OP
Member
Joined
Mar 28, 2009
Messages
787
Trophies
0
Age
29
Location
$(pwd)
XP
148
Country
United States
I'm a little confused about this.
Waninkoko's blog and the README.txt say it installs as IOS 249

And after installing it, I have IOS 249 and IOS 250

What is IOS 250?
 

9th_Sage

Well-Known Member
Member
Joined
Apr 30, 2008
Messages
1,481
Trophies
0
Website
twitter.com
XP
104
Country
United States
piratesmack said:
What is IOS 250?

It does seem to install to IOS250. Why, I don't know. I presume the readme's IOS249 is a typo or something. Either that or 250 is something else created by the installation. I know I didn't have an IOS250 before this version.
 

koji2009

Well-Known Member
Member
Joined
Mar 13, 2009
Messages
1,193
Trophies
0
XP
197
Country
United States
There may be a size limitation to how big IOS can be, if that's the case Waninkoko may have needed to have multiple IOS installed to support standard backup loading from disc, USB loader, and SD loading.
 

piratesmack

Well-Known Member
OP
Member
Joined
Mar 28, 2009
Messages
787
Trophies
0
Age
29
Location
$(pwd)
XP
148
Country
United States
koji2009 said:
There may be a size limitation to how big IOS can be, if that's the case Waninkoko may have needed to have multiple IOS installed to support standard backup loading from disc, USB loader, and SD loading.

That's kind of what I was thinking.

The first version of cIOS rev 10 that waninkoko uploaded had a bug that made all the USB loaders freeze when trying to boot a game.
If it installed as IOS 250, it wouldn't have touched IOS 249 and the games should have booted fine with the other loaders... Right?
 

WiiPower

Well-Known Member
Member
Joined
Oct 17, 2008
Messages
8,165
Trophies
0
XP
320
Country
Gambia, The
OuahOuah said:
New Wii are blocking IOS249 I've read... so...
Look at Wiinewz.
Maybe it is a Waninkoko workaround but launcher like wiigator's one must be updated so...

The new Wiis just don't block cIOS installed as IOS249, if you install somewhere else, it's blocked too. The problem with the new Wiis is much bigger than most people might think, and nobody knows why it happens, because you can install the cIOS without a problem, but the Wiis freezes if you try to use it.
 

OuahOuah

Well-Known Member
Member
Joined
Oct 2, 2006
Messages
1,063
Trophies
0
Age
43
Location
France
Website
www.ouahouah.eu
XP
698
Country
France
Ok.
Maybe a good Nin' Dev have awaken, at last
tongue.gif
 

richy

Well-Known Member
Newcomer
Joined
Feb 10, 2009
Messages
95
Trophies
0
XP
212
Country
I thought he'd made a bit of a goof and has now updated the installer, hence the title "Custom IOS36 rev 10 (¡ACTUALIZADO!)"??
Oh yeah, for non-Spanish speakers that's "(UPDATED!)" in the brackets
 

FenrirWolf

Well-Known Member
Member
Joined
Nov 19, 2008
Messages
4,347
Trophies
0
Location
Sandy, UT
XP
601
Country
United States
It is the final version that does it. I didn't install the first release when I read that people were having trouble with it. Once Wanny updated it then I ran the installer. And now I have an IOS250.
 

Hyroero

Well-Known Member
Newcomer
Joined
Apr 9, 2009
Messages
54
Trophies
0
Age
31
Website
Visit site
XP
70
Country
FenrirWolf said:
It is the final version that does it. I didn't install the first release when I read that people were having trouble with it. Once Wanny updated it then I ran the installer. And now I have an IOS250.

Do you need to install rev 10?

what is IOS250 used for any way?
 

FenrirWolf

Well-Known Member
Member
Joined
Nov 19, 2008
Messages
4,347
Trophies
0
Location
Sandy, UT
XP
601
Country
United States
I installed it to try out wanny's 1.2 loader. I'd imagine that rev10 has to do with SD card functionality since 1.2 can run off of rev9. Or at least the USB functionality can. I don't have a spare SD to play with for the SD function.
 

richy

Well-Known Member
Newcomer
Joined
Feb 10, 2009
Messages
95
Trophies
0
XP
212
Country
Hmmm... I thought there was an earlier version of cIOS36_rev10 which installed IOS250 by mistake but I've just grabbed the most up to date version and it does install IOS249 (v10) and a new IOS250 (v65535) as well. The documentation doesn't mention this new IOS anywhere and 65535 is just 2 to the power of 16 (i.e. highest value in 16-bit) so it's almost like it's there by mistake as the IOS249 files always have a "correct" revision number. I'm sure we'll find out soon enough but it is a bit confusing at the moment.
 

Hyroero

Well-Known Member
Newcomer
Joined
Apr 9, 2009
Messages
54
Trophies
0
Age
31
Website
Visit site
XP
70
Country
FenrirWolf said:
I installed it to try out wanny's 1.2 loader. I'd imagine that rev10 has to do with SD card functionality since 1.2 can run off of rev9. Or at least the USB functionality can. I don't have a spare SD to play with for the SD function.

So i can get the 1.2 loader and it works with out it?

Its just i don't have preloader so i dont want to brick my wii.

Also got a link to 1.2?
 
D

Deleted-171178

Guest
Maybe he made IOS250 as a "backup" IOS and 65535 is the highest version so Ninty cant update over it?
*shrugs*
 

WiiCrazy

Be water my friend!
Member
Joined
May 8, 2008
Messages
2,395
Trophies
0
Location
Istanbul
Website
www.tepetaklak.com
XP
384
Country
Why is this so hard to understand?

So that they don't overwrite each other... one has not throughly tested sd&usb loading stuff (250) one has a well tested usb loading (249)

Just to localize tests...
 
General chit-chat
Help Users
    gudenau @ gudenau: I was corrupting memory that just happened to be object metadata of some sort.